1.0

1.0

get /v1/product-categories

Description

List product categories

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
한계
Example : 10
integerNone
querypage
optional
페이지
Example : 1
integerNone
querydisplay_name
optional
상품 카테고리 이름
Example : Networking
array[any of [string, null]][]
querydisplay_name_ko
optional
상품 카테고리 이름
Example : Networking
array[any of [string, null]][]
queryis_exposed_menu
optional
상품 카테고리 메뉴 노출 상태
Example : True
array[any of [boolean, null]][]
querycreated_by
optional
생성자
Example : 김삼성
any of [string, null]None
querymodified_by
optional
수정자
Example : 김삼성
any of [string, null]None
querycreated_start_date
optional
생성일 시작
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querycreated_end_date
optional
생성일 종료
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_start_date
optional
수정일 시작
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_end_date
optional
수정일 종료
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querysort
optional
정렬
Example : created_at:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductCategoryListResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/product-categories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "count": 5,
    "current_page": 1,
    "product_categories": [
        {
            "category_id": "NETWORKING",
            "created_at": "2024-01-01T00:00:00",
            "created_by": "5cada9f6afa049418c4f18c0c4859202",
            "display_name": "Networking",
            "display_name_ko": "Networking",
            "icon_file_id": "c1d5c1f63bf24f73b32c37f6f7b50310",
            "is_exposed_menu": "True",
            "modified_at": "2024-01-01T00:00:00",
            "modified_by": "5cada9f6afa049418c4f18c0c4859202",
            "seq": 9,
            "service_group_color_id": "ffff00"
        }
    ],
    "total_count": 5,
    "total_pages": 1
}